package base;

import java.io.IOException;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import playground.*;

/**
 * main class to start a game with only one level {@link playground.LevelMovingObjects}.
 *
 */
public class MovingObjectsGame extends GameLoop {
  
  private static Logger logger = LogManager.getLogger(MovingObjectsGame.class);

  /**
   * starts this game.
   * 
   * @param args command line parameters (forwarded to {@link GameLoop#runGame(String[])}).
   * @throws IOException if highscore.txt file cannot be written or accessed, the exception is
   *         thrown (and game ends).
   */
  public static void main(String[] args) throws IOException {
    logger.info("Starting Game Program...let's play and don't get hit!");
    GameLoop myGame = new MovingObjectsGame();
    myGame.runGame(args);
  }

  /**
   * adds only one level to play ({@link playground.LevelMovingObjects}).
   */
  @Override
  public void defineLevels() {
    this.resetLevels();
    this.addLevel(new LevelMovingHitObjects());
  }

}
